[vscode]升级到1.59版本后, vscode-sftp 插件无法使用的问题

前言

vscode自动升级到1.59的版本后,其中的插件vscode-sftp不能上传文件了。

提示:No Such file

排查

我先排查了自己最近是否有调整过sftp的配置文件,发现最后修改还是几个月前,而几个月前还是用的好好的。

然后排除了网络,因为download能够把文件同步下来。

发现原因

找到sftp的插件目录,按照提示的信息找到对应的代码,发现用的是sftp-stream这个库,于是上去找,究竟是被我找到了:Fix error "No such file" when using SFTP extension on vscode > v1.55.2. #174

解决

按照Fix error "No such file" when using SFTP extension on vscode > v1.55.2. #174上面的方式去修改即可,修改玩重启vscode,不然不生效哦


本文作者:小蚊子
本文链接:[vscode]升级到1.59版本后, vscode-sftp 插件无法使用的问题 - https://www.djc8.cn/archives/vscode-after-upgrading-to-version-159-the-vscode-sftp-plugin-cannot-be-used.html
版权声明: 知识共享许可协议本作品采用知识共享署名-非商业性使用-禁止演绎 2.5 中国大陆许可协议进行许可。

标签: vscode, sftp

添加新评论